package p2.application.tagentactivities_cust;

import baseclass.PaoCust;
import p2.pao.PaoSet;
import p2.util.P2Exception;
import p2.application.tagentactivities_share.tagentactivities_share;

public class tagentactivities_cust extends PaoCust {
    public tagentactivities_cust(PaoSet arg0) {
        super(arg0);
    }

    @Override
    public void init() throws P2Exception {
        super.init();
    }

    @Override
    public void add() throws P2Exception {
        super.add();
        if (getOwner() instanceof tagentactivities_share) {
            setValue("tagentactivitiesid", getOwner().getLong("tagentactivitiesid"), 11L);
            setValue("tagentactivities_shareid", getOwner().getUniqueIDValue(), 11L);
        }
    }
}
